org.fourthline.cling.model.message.header

## Enum UpnpHeader.Type

- java.lang.Object
- - java.lang.Enum<UpnpHeader.Type>
  - - org.fourthline.cling.model.message.header.UpnpHeader.Type

- All Implemented Interfaces:
    Serializable, Comparable<UpnpHeader.Type>
  Enclosing class:
    UpnpHeader<T>

      public static enum UpnpHeader.Type
      extends Enum<UpnpHeader.Type>

  Maps a standardized UPnP header to potential header subtypes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CALLBACK`
    `CONTENT_RANGE`
    `CONTENT_TYPE`
    `EXT`
    `EXT_AV_CLIENT_INFO`
    `EXT_IFACE_MAC`
    `HOST`
    `LOCATION`
    `MAN`
    `MAX_AGE`
    `MX`
    `NT`
    `NTS`
    `PRAGMA`
    `RANGE`
    `SEQ`
    `SERVER`
    `SID`
    `SOAPACTION`
    `ST`
    `TIMEOUT`
    `USER_AGENT`
    `USN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UpnpHeader.Type` | `getByHttpName(String httpName)`
    `Class<? extends UpnpHeader>[]` | `getHeaderTypes()`
    `String` | `getHttpName()`
    `boolean` | `isValidHeaderType(Class<? extends UpnpHeader> clazz)`
    `static UpnpHeader.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UpnpHeader.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### USN

          public static final UpnpHeader.Type USN

    - #### NT

          public static final UpnpHeader.Type NT

    - #### NTS

          public static final UpnpHeader.Type NTS

    - #### HOST

          public static final UpnpHeader.Type HOST

    - #### SERVER

          public static final UpnpHeader.Type SERVER

    - #### LOCATION

          public static final UpnpHeader.Type LOCATION

    - #### MAX_AGE

          public static final UpnpHeader.Type MAX_AGE

    - #### USER_AGENT

          public static final UpnpHeader.Type USER_AGENT

    - #### CONTENT_TYPE

          public static final UpnpHeader.Type CONTENT_TYPE

    - #### MAN

          public static final UpnpHeader.Type MAN

    - #### MX

          public static final UpnpHeader.Type MX

    - #### ST

          public static final UpnpHeader.Type ST

    - #### EXT

          public static final UpnpHeader.Type EXT

    - #### SOAPACTION

          public static final UpnpHeader.Type SOAPACTION

    - #### TIMEOUT

          public static final UpnpHeader.Type TIMEOUT

    - #### CALLBACK

          public static final UpnpHeader.Type CALLBACK

    - #### SID

          public static final UpnpHeader.Type SID

    - #### SEQ

          public static final UpnpHeader.Type SEQ

    - #### RANGE

          public static final UpnpHeader.Type RANGE

    - #### CONTENT_RANGE

          public static final UpnpHeader.Type CONTENT_RANGE

    - #### PRAGMA

          public static final UpnpHeader.Type PRAGMA

    - #### EXT_IFACE_MAC

          public static final UpnpHeader.Type EXT_IFACE_MAC

    - #### EXT_AV_CLIENT_INFO

          public static final UpnpHeader.Type EXT_AV_CLIENT_INFO

  - ### Method Detail

    - #### values

          public static UpnpHeader.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UpnpHeader.Type c : UpnpHeader.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UpnpHeader.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getHttpName

          public String getHttpName()

    - #### getHeaderTypes

          public Class<? extends UpnpHeader>[] getHeaderTypes()

    - #### isValidHeaderType

          public boolean isValidHeaderType(Class<? extends UpnpHeader> clazz)

    - #### getByHttpName

          public static UpnpHeader.Type getByHttpName(String httpName)

      Parameters:
        `httpName` - A case-insensitive HTTP header name.

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.